> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rio.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Request a review for user onboarding



## OpenAPI

````yaml POST /api/users/{id}/review
openapi: 3.0.0
info:
  version: v1.0.0
  title: Users API
  description: API for managing users in the Rio platform
servers:
  - url: https://app.sandbox.rio.trade
security:
  - apiKeyAuth: []
paths:
  /api/users/{id}/review:
    post:
      summary: Request a review for user onboarding
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - $ref: '#/components/parameters/userIdPathParameter'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/requestReviewResponseSchema'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/unauthorizedSchema'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/notFoundErrorSchema'
          description: Not Found
components:
  parameters:
    userIdPathParameter:
      name: id
      in: path
      required: true
      description: ID of the user.
      schema:
        type: string
        format: mongoId
        example: 66562bc04fe8bf83c577c178
  schemas:
    requestReviewResponseSchema:
      type: object
      properties:
        platformFeeRanges:
          type: object
          properties:
            MX:
              type: object
              properties:
                buy:
                  type: array
                  items:
                    type: object
                sell:
                  type: array
                  items:
                    type: object
            US:
              type: object
              properties:
                buy:
                  type: array
                  items:
                    type: object
                sell:
                  type: array
                  items:
                    type: object
            PE:
              type: object
              properties:
                buy:
                  type: array
                  items:
                    type: object
                sell:
                  type: array
                  items:
                    type: object
            CO:
              type: object
              properties:
                buy:
                  type: array
                  items:
                    type: object
                sell:
                  type: array
                  items:
                    type: object
        createdAt:
          type: string
          description: Creation date of the user.
          example: '2025-07-16T19:24:51.284Z'
        type:
          type: string
          description: Type of the user.
          example: business
        phoneNumber:
          type: string
          description: Phone number of the user.
          example: '+525561310992'
        email:
          type: string
          description: Email of the user.
          example: email@testing.test
        attributes:
          type: array
          items:
            type: string
          description: User attributes and permissions
          example:
            - broker
        address:
          type: object
          properties:
            street1:
              type: string
              description: Street 1 of the user's address.
              example: Amsterdam 76
            street2:
              type: string
              nullable: true
              description: Street 2 of the user's address.
              example: null
            city:
              type: string
              description: City of the user's address.
              example: Mexico City
            state:
              type: string
              description: State of the user's address.
              example: CDMX
            country:
              type: string
              description: Country of the user's address.
              example: MX
            postalCode:
              type: string
              description: Postal code of the user's address.
              example: '06100'
        brokerId:
          type: string
          description: ID of the broker.
          example: 6757546b4c5d19bf3cd7b09c
        onboarding:
          type: object
          properties:
            country:
              type: string
              description: Country of the user's address.
              example: MX
            status:
              type: string
              description: Onboarding status.
              example: review
            hasAcceptedTerms:
              type: boolean
              description: Indicates if the user has accepted the terms and conditions.
              example: true
            aipriseUserVerificationSessionUrl:
              type: string
              description: AiPrise verification session URL (for individual users only).
              example: >-
                https://verify-sandbox.aiprise.com/verification_session_id=bb321d1a-8037-44bf-a520-c9e2995fbb4d
        businessData:
          type: object
          description: Business data (for business users only).
          properties:
            businessName:
              type: string
              description: Business name.
              example: Company Name
        individualData:
          type: object
          description: Individual data (for individual users only).
          properties:
            firstName:
              type: string
              description: First name of the user.
              example: Name
            middleName:
              type: string
              description: Middle name of the user.
              example: Middle Name
            lastName:
              type: string
              description: Last name of the user.
              example: Name
            secondLastName:
              type: string
              description: Second last name of the user.
              example: Last Name
        id:
          type: string
          description: ID of the user.
          example: 6877fc83509bb1423ee38202
    unauthorizedSchema:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: number
                example: 19
              message:
                type: string
                example: Not authorized
    notFoundErrorSchema:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: integer
                example: 1
              message:
                type: string
                example: User not found
            required:
              - code
              - message
      required:
        - errors
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````